EndpointsVitals Logs

Vitals Logs

Function-calling namespace: vitalsLogs

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/vitals-logs/create

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
patientIdstringYes-
appointmentIdstringNo-
consultationIdstringNo-
admissionIdstringNo-
recordedByUserIdstringYes-
recordedByRolestringYes-
contextstringYes-
vitalsobjectNonullable
recordedAtintegerYesunix-ms timestamp

Nested Field Structures

vitals

FieldTypeRequiredConstraints
bloodPressurestringNo-
heartRatenumberNonullable
temperatureobjectNonullable
oxygenSaturationnumberNonullable
respiratoryRatenumberNonullable
weightnumberNonullable
heightnumberNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "create",
  "data": {
    "organizationId": "org_123",
    "patientId": "patient_123",
    "recordedByUserId": "recordedbyuser_123",
    "recordedByRole": "value",
    "context": "value",
    "recordedAt": 1710201600000
  }
}'

Example Response

{ "status": "ok", "data": {} }

createByAppointmentId

Source: backend/endpoints/vitals-logs/create-by-appointment-id

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
appointmentIdstringYes-
consultationIdstringNo-
admissionIdstringNo-
recordedByUserIdstringYes-
recordedByRolestringYes-
contextstringYes-
vitalsobjectYesnullable
recordedAtintegerNounix-ms timestamp

Nested Field Structures

vitals

FieldTypeRequiredConstraints
bloodPressurestringNo-
heartRatenumberNonullable
temperatureobjectNonullable
oxygenSaturationnumberNonullable
respiratoryRatenumberNonullable
weightnumberNonullable
heightnumberNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "createByAppointmentId",
  "data": {
    "organizationId": "org_123",
    "appointmentId": "appointment_123",
    "recordedByUserId": "recordedbyuser_123",
    "recordedByRole": "value",
    "context": "value",
    "vitals": {
      "bloodPressure": "value",
      "heartRate": 1,
      "temperature": {
        "value": 1,
        "unit": {}
      },
      "oxygenSaturation": 1,
      "respiratoryRate": 1,
      "weight": 1,
      "height": 1
    }
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/vitals-logs/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

deleteByAppointmentId

Source: backend/endpoints/vitals-logs/delete-by-appointment-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
appointmentIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "deleteByAppointmentId",
  "data": {
    "id": "id_123",
    "organizationId": "org_123",
    "appointmentId": "appointment_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getByAppointmentId

Source: backend/endpoints/vitals-logs/get-by-appointment-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
appointmentIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "getByAppointmentId",
  "data": {
    "id": "id_123",
    "organizationId": "org_123",
    "appointmentId": "appointment_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/vitals-logs/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByAppointmentId

Source: backend/endpoints/vitals-logs/list-by-appointment-id

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
appointmentIdstringYes-
recordedByUserIdstringNo-
firstCreatedAtbooleanNo-
lastCreatedAtbooleanNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "listByAppointmentId",
  "data": {
    "organizationId": "org_123",
    "appointmentId": "appointment_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/vitals-logs/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
searchstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/vitals-logs/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
patientIdstringNonullable
appointmentIdstringNonullable
consultationIdstringNonullable
admissionIdstringNonullable
recordedByUserIdstringNonullable
recordedByRolestringNonullable
contextstringNonullable
vitalsobjectNonullable
recordedAtintegerNounix-ms timestamp; nullable
createdAtintegerNounix-ms timestamp; nullable

Nested Field Structures

vitals

FieldTypeRequiredConstraints
bloodPressurestringNo-
heartRatenumberNonullable
temperatureobjectNonullable
oxygenSaturationnumberNonullable
respiratoryRatenumberNonullable
weightnumberNonullable
heightnumberNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

updateByAppointmentId

Source: backend/endpoints/vitals-logs/update-by-appointment-id

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringYes-
appointmentIdstringYes-
patientIdstringNonullable
consultationIdstringNonullable
admissionIdstringNonullable
recordedByUserIdstringNonullable
recordedByRolestringNonullable
contextstringNonullable
vitalsobjectNonullable
recordedAtintegerNounix-ms timestamp; nullable
createdAtintegerNounix-ms timestamp; nullable

Nested Field Structures

vitals

FieldTypeRequiredConstraints
bloodPressurestringNo-
heartRatenumberNonullable
temperatureobjectNonullable
oxygenSaturationnumberNonullable
respiratoryRatenumberNonullable
weightnumberNonullable
heightnumberNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "vitalsLogs",
  "apiName": "updateByAppointmentId",
  "data": {
    "organizationId": "org_123",
    "appointmentId": "appointment_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }